net.sf.jasperreports.engine.fill

## Class JRAbstractLRUVirtualizer.Cache

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRAbstractLRUVirtualizer.Cache

- Enclosing class:
    JRAbstractLRUVirtualizer

      protected class JRAbstractLRUVirtualizer.Cache
      extends java.lang.Object

  This class keeps track of how many objects are currently in memory, and when there are too many, it pushes the last touched one to disk.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(java.lang.String id)`
    `java.util.List<JRVirtualizable>` | `evictionCandidates()`
    `JRVirtualizable` | `get(java.lang.String id)`
    `protected JRVirtualizable` | `getMapValue(JRAbstractLRUVirtualizer.CacheReference val)`
    `java.util.Iterator<java.lang.String>` | `idIterator()`
    `protected void` | `purge()`
    `JRVirtualizable` | `put(java.lang.String id, JRVirtualizable o)`
    `JRVirtualizable` | `remove(java.lang.String id)`
    `protected JRAbstractLRUVirtualizer.CacheReference` | `toMapValue(JRVirtualizable val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMapValue

          protected JRVirtualizable getMapValue(JRAbstractLRUVirtualizer.CacheReference val)

    - #### toMapValue

          protected JRAbstractLRUVirtualizer.CacheReference toMapValue(JRVirtualizable val)

    - #### purge

          protected void purge()

    - #### contains

          public boolean contains(java.lang.String id)

    - #### get

          public JRVirtualizable get(java.lang.String id)

    - #### put

          public JRVirtualizable put(java.lang.String id,
                            JRVirtualizable o)

    - #### evictionCandidates

          public java.util.List<JRVirtualizable> evictionCandidates()

    - #### remove

          public JRVirtualizable remove(java.lang.String id)

    - #### idIterator

          public java.util.Iterator<java.lang.String> idIterator()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com